/*
 * C
 *
 * Copyright 2012 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#include "cpu.h"
#if MCU == 2
#include "stm32f2xx.h"
#include "stm322xg_eval_fsmc_sram.h"
#elif MCU == 4
#include "stm32f4xx.h"
#include "stm324xg_eval_fsmc_sram.h"
#else
#error Invalid MCU
#endif
#include "sram_driver.h"

void SRAM_initialize(void)
{
  /* Configure FSMC Bank 1 NOR/SRAM2  */
  SRAM_Init();
}
