/*
 * C
 *
 * Copyright 2012-2014 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/* Includes ------------------------------------------------------------------*/

#include "interrupts.h"
#include "microej.h"

/* Globals -------------------------------------------------------------------*/

static volatile uint8_t isInISR = MICROEJ_FALSE;

/* Public functions ----------------------------------------------------------*/

uint8_t isInInterrupt()
{
	return isInISR;
}

void enterInterrupt()
{
	isInISR = MICROEJ_TRUE;
}

void leaveInterrupt()
{
	isInISR = MICROEJ_FALSE;
}
